<? $this->sitePath()->prepend('Feedback', '') ?>
<? $seo = $this->seo('feedback-page', null, array(), true) ?>
<? $m_static = new Model_StaticPage(); ?>

<?
	$back_url = '';
	if ( $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}
?>

<style type="text/css">
	#contact-v2 {
		background:url("<?= _st('v2.1/line_dashed-blue.gif') ?>") repeat-x top left;
		padding-bottom: 50px;
	}

	#contact-v2 .box {
		padding-top: 15px;
		width: 780px;
		margin: 0 auto;
	}

	#contact-v2 .box .header {
		border: 1px solid #c8e7ff;
		color: #333;
		font-weight: bold;
		background-color: #f0f3f9;
		padding: 5px 10px;
		font-size: 12px;
	}
	
	#contact-v2 .box .body {
		border: 1px solid #c8e7ff;
		border-top: none;
		padding: 30px 0px 15px 0px;
	}

	#contact-v2 .c-form {
		margin: 0 auto;
		width: 485px;
	}

	#contact-v2 .info {
		margin: 0 auto;
		width: 610px;
	}

	#contact-v2 .info .text p {
		line-height: 20px;
	}

	#contact-v2 .info .text {
		margin-left: 37px;
		margin-top: 20px;
	}

	#contact-v2 .banners {
		margin: 0 auto;
		width: 485px;
	}

	#contact-v2 .banners p {
		margin-bottom: 15px;
	}

	.support-details {
		margin: -10px 0px 10px 0px;
		padding: 0px;
	}

	.support-details img {
		margin: 12px 5px -5px 8px;
	}

	.btn {
		border:medium none;
		cursor:pointer;
		float:left;
		height:18px;
		margin-right:10px;
		overflow:hidden;
		text-indent:-1000em;
		text-transform:uppercase;
		width:69px;
	}

	.btn-submit {
		background:url("<?= _st('en_btn_submit.gif') ?>") no-repeat scroll 0 0 transparent;
	}
</style>

<!-- <button id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></button> -->
<a href="<?= $back_url ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></a>
<h1 id="heading">Contact us</h1>
<div class="clear"></div>


<div id="contact-v2">

	<div class="box">
		<div class="header">
			In case if you wish to contact us regarding general enquiries, feedback or advertising, choose from the following options:
		</div>
		<div class="body">
			<div class="info">
				<?= $m_static->getBySlug('contact-us-top', Cubix_Application::getId(), Cubix_I18n::getLang())->body ?>
			</div>
		</div>
	</div>

	<div class="box">
		<div class="header">
			Alternatively please use our contact form below:
		</div>
		<div class="body">
			<div class="c-form">
				<form class="signup-form feedback-form" action="<?= $this->getLink('contact') ?>" method="post">
					<input type="hidden" name="to" value="<?= $this->data['to'] ?>" />
					<? if ( $this->data['about'] ): ?><input type="hidden" name="about" value="<?= $this->data['about'] ?>" /><? endif ?>

					<? if ( $this->success ): ?><h2 class="green" style="font-size:14px">Thank you for your message. You will be contacted by one of our site admins shortly.</h2>
					<? else: ?>

					<div class="divline divline2">
						<span class="label label2"><?= $this->t('feedback_form_name') ?>:</span>
						<input class="textinput<?= isset($this->errors['name']) ? ' invalid' : '' ?>" type="text" name="name" size="16" value="<?= $this->data['name'] ?>" />
						<? if ( isset($this->errors['name']) ): ?><div class="error"><?= $this->errors['name'] ?></div><? endif ?>
					</div>

					<div class="divline divline2">
						<span class="label label2"><?= $this->t('feedback_form_email') ?>:</span>
						<input class="textinput<?= isset($this->errors['email']) ? ' invalid' : '' ?>" type="text" name="email" size="16" value="<?= $this->data['email'] ?>" />
						<? if ( isset($this->errors['email']) ): ?><div class="error"><?= $this->errors['email'] ?></div><? endif ?>
					</div>

					<div class="divline divline2">
						<span class="label label2"><?= $this->t('feedback_form_message') ?>:</span>
						<textarea class="textareainput<?= isset($this->errors['message']) ? ' invalid' : '' ?>" name="message" cols="10" rows="3" style="color: #000"><?= $this->data['message'] ?></textarea>
						<? if ( isset($this->errors['message']) ): ?><div class="error"><?= $this->errors['message'] ?></div><? endif ?>
					</div>

					<div class="divline divline2 captcha">
						<span class="label label2"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
						<input class="textinput textinput2<?= isset($this->errors['captcha']) ? ' invalid' : '' ?>" type="text" name="captcha" size="16" value="" />
						<? if ( isset($this->errors['captcha']) ): ?><div class="error"><?= $this->errors['captcha'] ?></div><? endif ?>
					</div>

					<div class="divline divline2">
						<span class="label label2">&nbsp;</span>
						<input class="btn btn-submit" type="submit" value="Submit" />
						<!-- <input class="btn btn-close" type="button" value="Close" /> -->
					</div>
					<? endif ?>
				</form>
			</div>
		</div>
	</div>

	<div class="box">
		<div class="header">
			Link exchange
		</div>
		<div class="body">
			<div class="banners">
				<?= $m_static->getBySlug('contact-us-bottom', Cubix_Application::getId(), Cubix_I18n::getLang())->body ?>
			</div>
		</div>
	</div>

</div>

